Skip to main content

Endpoint

GET /userinfo Given the Auth0 Access Token obtained during login, this endpoint returns a user’s profile. This endpoint will work only if openid was granted as a scope for the Access Token. The user profile information included in the response depends on the scopes requested. For example, a scope of just openid may return less information than a scope of openid profile email.

Remarks

  • The sample auth0.js script uses the library version 8. If you are using auth0.js version 7, please see this reference guide.
  • The auth0.js parseHash method requires that your tokens are signed with RS256, rather than HS256.
  • To return user_metadata or other custom information from this endpoint, add a custom claim to the ID token with an Action. For more information refer to User profile claims and scope.
  • This endpoint will return three HTTP Response Headers that provide relevant data on its rate limits:
    • X-RateLimit-Limit: Number of requests allowed per minute.
    • X-RateLimit-Remaining: Number of requests available. Each new request reduces this number by 1. For each minute that passes, requests are added back, so this number increases by 1 each time.
    • X-RateLimit-Reset: Remaining time until the rate limit (X-RateLimit-Limit) resets. The value is in UTC epoch seconds.
  • Standard claims return the latest value for the user (unless the value comes from an external IdP).
  • Custom claims always return the latest value of the claim.

Learn More

Headers

string
required
Bearer token. For example: Bearer {yourAccessToken}
string
A DPoP proof for the request. This is optional and only required if your application uses Demonstrating Proof-of-Possession.

Response Schema

Response Messages